[Libreoffice-commits] .: bin/applyflags bin/build-ooo bin/create-rpms bin/create-tests-lst.sh bin/gen-xlsx-copy-of-xls.sh bin/gob-bump bin/package-ooo bin/split-to-projects bin/tinbuild
Fridrich Strba
fridrich at kemper.freedesktop.org
Sat Oct 9 11:52:32 PDT 2010
bin/applyflags | 4 ++--
bin/build-ooo | 2 +-
bin/create-rpms | 4 ++--
bin/create-tests-lst.sh | 2 +-
bin/gen-xlsx-copy-of-xls.sh | 10 +++++-----
bin/gob-bump | 4 ++--
bin/package-ooo | 2 +-
bin/split-to-projects | 2 +-
bin/tinbuild | 12 ++++++------
9 files changed, 21 insertions(+), 21 deletions(-)
New commits:
commit cc6a101854472b700884ed2d4462bbaee3d5960b
Author: Fridrich Å trba <fridrich.strba at bluewin.ch>
Date: Sat Oct 9 20:51:49 2010 +0200
Fix some bashisms in scripts
diff --git a/bin/applyflags b/bin/applyflags
index 531c89a..58531e7 100755
--- a/bin/applyflags
+++ b/bin/applyflags
@@ -7,13 +7,13 @@ bindir=$1
# optional to force another OOBUILDDIR in the split build
builddir=$2
-if test "z$bindir" == "z"; then
+if test "z$bindir" = "z"; then
echo "Serious error - requires path to bindir"
exit 1
fi
cd $bindir
-source ./setup >& /dev/null
+. ./setup >/dev/null 2>&1
SECTIONS="$OOO_ADDITIONAL_SECTIONS"
diff --git a/bin/build-ooo b/bin/build-ooo
index 056941b..e9ff5ca 100755
--- a/bin/build-ooo
+++ b/bin/build-ooo
@@ -19,7 +19,7 @@ if test "z$BUILD_WIN32" = "z" -a "z`uname -s`" != "zSunOS" -a "z`uname -s`" != "
fi
fi
-if test "z`uname -s`" == "zSunOS"; then
+if test "z`uname -s`" = "zSunOS"; then
if test -f $GNUTAR -a ! -f $OOBUILDDIR/solenv/bin/tar; then
ln -s $GNUTAR $OOBUILDDIR/solenv/bin/tar
fi
diff --git a/bin/create-rpms b/bin/create-rpms
index 6b8dd5f..a4c0936 100755
--- a/bin/create-rpms
+++ b/bin/create-rpms
@@ -5,7 +5,7 @@
# make sure we're running in the right directory
ooobuildbindir=`dirname "$0"`
-[[ "$ooobuildbindir" != "" ]] && cd "$ooobuildbindir"
+[ "$ooobuildbindir" != "" ] && cd "$ooobuildbindir"
#
# See setup for user tweakables.
@@ -23,7 +23,7 @@ fi
# http://installation.openoffice.org/how_to_create_native_installer.html
cd $OOBUILDDIR/instsetoo_native/util
dmake openoffice || exit 1
-if test "$1" == "-l" ; then
+if test "$1" = "-l" ; then
dmake ooolanguagepack || exit 1
fi
diff --git a/bin/create-tests-lst.sh b/bin/create-tests-lst.sh
index c136994..342781c 100755
--- a/bin/create-tests-lst.sh
+++ b/bin/create-tests-lst.sh
@@ -1,6 +1,6 @@
#!/bin/sh
-[ -f prj/build.lst ] || { echo -e "create-tests-lst.sh: Creates prj/tests.lst\nError: Must be in project subdir" ; exit 1 ; }
+[ -f prj/build.lst ] || { echo "create-tests-lst.sh: Creates prj/tests.lst"; echo "Error: Must be in project subdir" ; exit 1 ; }
PREFIX=`grep nmake prj/build.lst | head -n 1 | sed 's/[[:space:]].*//'`
MODULE=`pwd | sed 's#.*/\([^/]*\)$#\1#'`
diff --git a/bin/gen-xlsx-copy-of-xls.sh b/bin/gen-xlsx-copy-of-xls.sh
index 33d00d1..9d58ed8 100755
--- a/bin/gen-xlsx-copy-of-xls.sh
+++ b/bin/gen-xlsx-copy-of-xls.sh
@@ -94,7 +94,7 @@ xcl97esc.cxx
xcl97rec.cxx
"
-new-diff() {
+new_diff() {
P="$1"
FROM="$2"
TO="$3"
@@ -111,15 +111,15 @@ new-diff() {
(
for I in $INC ; do
- new-diff $HEADER $I $I
+ new_diff $HEADER $I $I
done
for I in $XLS_INC ; do
- new-diff $XLS $I $I
+ new_diff $XLS $I $I
done
for I in $ADD_PREFIX ; do
- new-diff $XLS $I xlsx-$I
+ new_diff $XLS $I xlsx-$I
done
for I in $ADD_PREFIX_97 ; do
- new-diff $XLS97 $I xlsx-$I
+ new_diff $XLS97 $I xlsx-$I
done
) > patches/dev300/xlsx-filter-as-a-separate-lib-xls-copy.diff
diff --git a/bin/gob-bump b/bin/gob-bump
index 23a3476..5496d99 100755
--- a/bin/gob-bump
+++ b/bin/gob-bump
@@ -18,7 +18,7 @@ limit= bump only LIMIT branches
. git sh-setup
-function log() { grep -E "^(CONFLICT|Created commit|Merge)" || :; }
+log() { grep -E "^(CONFLICT|Created commit|Merge)" || :; }
parse_config () {
while test $# != 0
@@ -33,7 +33,7 @@ parse_config () {
;;
--debug)
set -x
- function log() { cat; }
+ log() { cat; }
;;
--distro)
shift
diff --git a/bin/package-ooo b/bin/package-ooo
index fbb3c6a..1d2e37b 100755
--- a/bin/package-ooo
+++ b/bin/package-ooo
@@ -24,7 +24,7 @@ if test "z$PIECE" != "z"; then
# ln -sf $OOBUILDDIR/solver/$UPD/$INPATH .
if test -f "$TOOLSDIR/bin/piece/install-$PIECE"; then
echo "$PIECE specific install"
- source $TOOLSDIR/bin/piece/install-$PIECE || exit 1
+ . $TOOLSDIR/bin/piece/install-$PIECE || exit 1
fi
find $OOINSTDIR/solenv $OOINSTDIR/solver -depth -name ".svn" -type d -exec rm -rf {} \;
diff --git a/bin/split-to-projects b/bin/split-to-projects
index ef052a8..537247b 100755
--- a/bin/split-to-projects
+++ b/bin/split-to-projects
@@ -1,6 +1,6 @@
#!/bin/sh
-function usage() {
+usage() {
echo "split-to-projects patch.diff basename
Split patch into several patches according to projects.
diff --git a/bin/tinbuild b/bin/tinbuild
index 97a6bbd..96497c8 100755
--- a/bin/tinbuild
+++ b/bin/tinbuild
@@ -128,11 +128,11 @@ while true; do
# try to build
if ! err_msg=$(./autogen.sh 2>&1); then
- reportError committer "autogen.sh / configure failed - error is:" $'\n' "$err_msg"
+ reportError committer "autogen.sh / configure failed - error is:" printf '\n' "$err_msg"
elif ! err_msg=$(./download 2>&1); then
- reportError committer "download failed - error is:" $'\n' "$err_msg"
+ reportError committer "download failed - error is:" printf '\n' "$err_msg"
elif ! $NICE make dev-install >build.log 2>&1 ; then
- reportError committer "building failed - error is:" $'\n' "$(tail -n100 build.log)"
+ reportError committer "building failed - error is:" printf '\n' "$(tail -n100 build.log)"
else
echo build done
@@ -145,7 +145,7 @@ while true; do
mv build "build-$good_head" ||
{
msg=
- test -z "$prev_head" || msg=$'\n' "Leaving build-$prev_head around, exiting now"
+ test -z "$prev_head" || msg=printf '\n' "Leaving build-$prev_head around, exiting now"
reportError owner "Cannot move 'build' to 'build-$good_head'" "$msg"
}
@@ -164,9 +164,9 @@ while true; do
old_head=$(git rev-parse --verify HEAD) && err_msg=$(git pull -r 2>&1) && err_msg2=$(bin/g pull -r 2>&1) ||
{
msg=
- test -z "$prev_head" || msg=$'\n' "Leaving build-$prev_head around, exiting now"
+ test -z "$prev_head" || msg=printf '\n' "Leaving build-$prev_head around, exiting now"
- reportError owner "git repo f*cked up - error is:" $'\n' $err_msg $err_msg2 "$msg"
+ reportError owner "git repo f*cked up - error is:" printf '\n' $err_msg $err_msg2 "$msg"
}
new_head=$(git rev-parse --verify HEAD)
More information about the Libreoffice-commits
mailing list